# eoInitAdaptor< EOT > Class Template Reference

eoInitAdaptor changes the place in the hierarchy from eoInit to eoMonOp. More...

`#include <eoInit.h>`

Inheritance diagram for eoInitAdaptor< EOT >:

List of all members.

## Public Member Functions

| eoInitAdaptor (eoInit< EOT > &_init)
bool | operator() (EOT &_eot)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

eoInit< EOT > & | init

## Detailed Description

### template<class EOT>
class eoInitAdaptor< EOT >

eoInitAdaptor changes the place in the hierarchy from eoInit to eoMonOp.

This is mainly a type conversion, nothing else

See also:
  eoInit, eoMonOp

Definition at line 157 of file eoInit.h.

The documentation for this class was generated from the following file:

- eoInit.h